<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Lista składowych</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_q_c_p_layerable.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle"><div class="title">QCPLayerable Lista składowych</div></div>
</div><!--header-->
<div class="contents">

<p>To jest kompletna lista składowych dla <a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a>, uwzględniająca wszystkie dziedziczone składowe.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_layerable.html#a71cbd212fde2703cee076e204a475709">antialiased</a>() const</td><td class="entry"><a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_layerable.html#acb663e375d2d36dc5c55021ee5a2119b">applyAntialiasingHint</a>(QCPPainter *painter, bool localAntialiased, QCP::AntialiasedElement overrideElement) const</td><td class="entry"><a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_layerable.html#afdf83ddc6a265cbf4c89fe99d3d93473">applyDefaultAntialiasingHint</a>(QCPPainter *painter) const =0</td><td class="entry"><a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_layerable.html#acbcfc9ecc75433747b1978a77b1864b3">clipRect</a>() const</td><td class="entry"><a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_layerable.html#ae546370644a5551c76af739afc008bee">deselectEvent</a>(bool *selectionStateChanged)</td><td class="entry"><a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_layerable.html#aecf2f7087482d4b6a78cb2770e5ed12d">draw</a>(QCPPainter *painter)=0</td><td class="entry"><a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_layerable.html#a8cbe5a0c9a5674249982f5ca5f8e02bc">initializeParentPlot</a>(QCustomPlot *parentPlot)</td><td class="entry"><a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_layerable.html#a9d4e121a7f1d2314f906fe698209cac9">layer</a>() const</td><td class="entry"><a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_layerable.html#abbf8657cedea73ac1c3499b521c90eba">layerChanged</a>(QCPLayer *newLayer)</td><td class="entry"><a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_layerable.html#a3ab45a4c76a3333ce42eb217a81733ec">mAntialiased</a></td><td class="entry"><a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_layerable.html#aa38ec5891aff0f50b36fd63e9372a0cd">mLayer</a></td><td class="entry"><a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_layerable.html#a4171e2e823aca242dd0279f00ed2de81">mouseDoubleClickEvent</a>(QMouseEvent *event, const QVariant &amp;details)</td><td class="entry"><a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_layerable.html#a9eee1ba47fd69be111059ca3881933e4">mouseMoveEvent</a>(QMouseEvent *event, const QPointF &amp;startPos)</td><td class="entry"><a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_layerable.html#af6567604818db90f4fd52822f8bc8376">mousePressEvent</a>(QMouseEvent *event, const QVariant &amp;details)</td><td class="entry"><a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_layerable.html#aa0d79b005686f668622bbe66ac03ba2c">mouseReleaseEvent</a>(QMouseEvent *event, const QPointF &amp;startPos)</td><td class="entry"><a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_layerable.html#af94484cfb7cbbddb7de522e9be71d9a4">moveToLayer</a>(QCPLayer *layer, bool prepend)</td><td class="entry"><a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_layerable.html#a3291445a980053e2d17a21d15957624e">mParentLayerable</a></td><td class="entry"><a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_layerable.html#aa2a528433e44db02b8aef23c1f9f90ed">mParentPlot</a></td><td class="entry"><a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_layerable.html#a62e3aed8427d6ce3ccf716f285106cb3">mVisible</a></td><td class="entry"><a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_layerable.html#aa78b7e644d2c519e1a9a6f2ac5fcd858">parentLayerable</a>() const</td><td class="entry"><a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_layerable.html#a36ed5b292b90934b524a4e5866a3526c">parentPlot</a>() const</td><td class="entry"><a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_layerable.html#ab20b7dbd8e0249ed61adb9622c427382">parentPlotInitialized</a>(QCustomPlot *parentPlot)</td><td class="entry"><a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_layerable.html#acbf20ecb140f66c5fd1bc64ae0762990">QCPAxisRect</a></td><td class="entry"><a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_layerable.html#a5dbf96bf7664c1b6fce49063eeea6eef">QCPLayer</a></td><td class="entry"><a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_layerable.html#a4f87f420cb2597e2b393aab934d2f099">QCPLayerable</a>(QCustomPlot *plot, QString targetLayer=QString(), QCPLayerable *parentLayerable=nullptr)</td><td class="entry"><a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_layerable.html#a1cdf9df76adcfae45261690aa0ca2198">QCustomPlot</a></td><td class="entry"><a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_layerable.html#ab054e88f15d485defcb95e7376f119e7">realVisibility</a>() const</td><td class="entry"><a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_layerable.html#a7498c2d0d081cf7cad0fb3bb93aa0e91">selectEvent</a>(QMouseEvent *event, bool additive, const QVariant &amp;details, bool *selectionStateChanged)</td><td class="entry"><a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_layerable.html#a908c9edda761886f33893be326dab77d">selectionCategory</a>() const</td><td class="entry"><a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_layerable.html#a272989087fc8c4357b4ba614f9922336">selectTest</a>(const QPointF &amp;pos, bool onlySelectable, QVariant *details=nullptr) const</td><td class="entry"><a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_layerable.html#a4fd43e89be4a553ead41652565ff0581">setAntialiased</a>(bool enabled)</td><td class="entry"><a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_layerable.html#ab0d0da6d2de45a118886d2c8e16d5a54">setLayer</a>(QCPLayer *layer)</td><td class="entry"><a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_layerable.html#ab25a0e7b897993b44447caee0f142083">setLayer</a>(const QString &amp;layerName)</td><td class="entry"><a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_layerable.html#aa23c893671f1f6744ac235cf2204cf3a">setParentLayerable</a>(QCPLayerable *parentLayerable)</td><td class="entry"><a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_layerable.html#a3bed99ddc396b48ce3ebfdc0418744f8">setVisible</a>(bool on)</td><td class="entry"><a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_layerable.html#af0297b944b6192b6d67d00bff41b6b70">visible</a>() const</td><td class="entry"><a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_layerable.html#a47dfd7b8fd99c08ca54e09c362b6f022">wheelEvent</a>(QWheelEvent *event)</td><td class="entry"><a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_layerable.html#a4231cf5b3601d6d3a5781283e7a9735b">~QCPLayerable</a>()</td><td class="entry"><a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
